For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Snapshot

This endpoint enables retrieving all Snapshot using pagination and optional filters.

get
/snapshots
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
200

Returned all requested Snapshot successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Snapshot resources.

Example: b9cb6c65-8997-58bb-b7d1-93e5da5a6525
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Snapshot resources.

Example: /snapshots
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/snapshots
GET /snapshots HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "b9cb6c65-8997-58bb-b7d1-93e5da5a6525",
  "type": "collection",
  "href": "/snapshots",
  "items": [
    {
      "id": "a8784665-3d99-5464-af32-30a2967f58e7",
      "type": "snapshot",
      "href": "/snapshots/a8784665-3d99-5464-af32-30a2967f58e7",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "state": "AVAILABLE",
        "message": "In progress.",
        "replicasetId": "12345678-1234-1234-1234-123456789012",
        "snapshotTime": "2026-01-01T00:00:00.000Z",
        "datacenterId": "123e4567-e89b-12d3-a456-426614174000"
      },
      "properties": {}
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?